| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Private Member Functions | Private Attributes | List of all members
GaudiConfig.ControlFlow.ControlFlowNode Class Reference
Inheritance diagram for GaudiConfig.ControlFlow.ControlFlowNode:
[legend]
Collaboration diagram for GaudiConfig.ControlFlow.ControlFlowNode:
[legend]

## Public Member Functions
def | __and__ (self, rhs)
def | __or__ (self, rhs)
def | __invert__ (self)
def | __rshift__ (self, rhs)
def | visitNode (self, visitor)
def | __eq__ (self, other)
def | getFullName (self)

## Private Member Functions
def | _visitSubNodes (self, visitor)

## Private Attributes
| _fullname

## Detailed Description

    Basic entry in the control flow graph.

Definition at line 8 of file ControlFlow.py.

## Member Function Documentation

## ◆ __and__()

def GaudiConfig.ControlFlow.ControlFlowNode.__and__ | ( |  | self,
|  |  | rhs
| ) |  |

Reimplemented in GaudiConfig.ControlFlow.ControlFlowBool.

Definition at line 13 of file ControlFlow.py.

13 def __and__(self, rhs):
14 if rhs is CFTrue:
15 return self
16 elif rhs is CFFalse:
17 return CFFalse
18 return AndNode(self, rhs)
19

## ◆ __eq__()

def GaudiConfig.ControlFlow.ControlFlowNode.__eq__ | ( |  | self,
|  |  | other
| ) |  |

Definition at line 41 of file ControlFlow.py.

41 def __eq__(self, other):
42 return (repr(self) == repr(other))
43

## ◆ __invert__()

def GaudiConfig.ControlFlow.ControlFlowNode.__invert__ | ( |  | self | ) |

Reimplemented in GaudiConfig.ControlFlow.ControlFlowBool.

Definition at line 27 of file ControlFlow.py.

27 def __invert__(self):
28 return InvertNode(self)
29

## ◆ __or__()

def GaudiConfig.ControlFlow.ControlFlowNode.__or__ | ( |  | self,
|  |  | rhs
| ) |  |

Reimplemented in GaudiConfig.ControlFlow.ControlFlowBool.

Definition at line 20 of file ControlFlow.py.

20 def __or__(self, rhs):
21 if rhs is CFFalse:
22 return self
23 elif rhs is CFTrue:
24 return CFTrue
25 return OrNode(self, rhs)
26

## ◆ __rshift__()

def GaudiConfig.ControlFlow.ControlFlowNode.__rshift__ | ( |  | self,
|  |  | rhs
| ) |  |

Definition at line 30 of file ControlFlow.py.

30 def __rshift__(self, rhs):
31 return OrderedNode(self, rhs)
32

## ◆ _visitSubNodes()

def GaudiConfig.ControlFlow.ControlFlowNode._visitSubNodes | ( |  | self,
|  |  | visitor
| ) |  |
| private

Reimplemented in GaudiConfig.ControlFlow.seq, GaudiConfig.ControlFlow.par, GaudiConfig.ControlFlow.ignore, GaudiConfig.ControlFlow.InvertNode, GaudiConfig.ControlFlow.OrNode, GaudiConfig.ControlFlow.AndNode, and GaudiConfig.ControlFlow.OrderedNode.

Definition at line 38 of file ControlFlow.py.

38 def _visitSubNodes(self, visitor):
39 pass
40

## ◆ getFullName()

def GaudiConfig.ControlFlow.ControlFlowNode.getFullName | ( |  | self | ) |

    Allow use of an expression as an algorihtm/sequence in a Gaudi job
    configuration.

    Convert the expression in nested sequencers and return the full name of
    the top one.

Definition at line 44 of file ControlFlow.py.

44 def getFullName(self):
45 '''
46 Allow use of an expression as an algorihtm/sequence in a Gaudi job
47 configuration.
48
49 Convert the expression in nested sequencers and return the full name of
50 the top one.
51 '''
52 if not hasattr(self, '_fullname'):
53 from GaudiKernel.Configurable import makeSequences
54 self._fullname = makeSequences(self).getFullName()
55 return self._fullname
56
57
GaudiKernel.Configurable.makeSequences
def makeSequences(expression)
Definition: Configurable.py:1739
GaudiKernel.Configurable
Definition: Configurable.py:1

## ◆ visitNode()

def GaudiConfig.ControlFlow.ControlFlowNode.visitNode | ( |  | self,
|  |  | visitor
| ) |  |

Definition at line 33 of file ControlFlow.py.

33 def visitNode(self, visitor):
34 visitor.enter(self)
35 self._visitSubNodes(visitor)
36 visitor.leave(self)
37

## Member Data Documentation

## ◆ _fullname

GaudiConfig.ControlFlow.ControlFlowNode._fullname
| private

Definition at line 54 of file ControlFlow.py.

The documentation for this class was generated from the following file:

- GaudiKernel/python/GaudiConfig/ControlFlow.py